Emitted when a ConvergenceDomain encounters an unexpected error.

### Hierarchy

- ErrorEvent

### Implements

- IConvergenceDomainEvent

## Index

### Properties

- domain
- error
- name
- NAME

## Properties

### domain

domain: ConvergenceDomain

Implementation of IConvergenceDomainEvent.domain

The domain on which this event occurred.

### error

error: string

A message describing the error.

### name

name: string = ErrorEvent.NAME

Implementation of IConvergenceDomainEvent.name

The name of the event that was fired. This is commonly used to filter when using the ConvergenceEventEmitter.events stream.

Note that the name is only guaranteed to be unique within the class / subsystem that is firing it. Names might be reused across classes and subsystems.

### StaticNAME

NAME: "error" = "error"